"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Header = _interopRequireDefault(require("./Header"));

var _NavList = _interopRequireDefault(require("./NavList"));

var _NavItem = _interopRequireDefault(require("./NavItem"));

var _HeaderDetails = _interopRequireDefault(require("./HeaderDetails"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var ManagerSideNav = function ManagerSideNav(props) {
  var testSection = props.testSection,
      children = props.children;

  var renderChildrenByType = function renderChildrenByType(ComponentType) {
    return _react["default"].Children.toArray(children).filter(function (child) {
      return child.type === ComponentType;
    }).map(function (element) {
      return _react["default"].cloneElement(element);
    });
  };

  return _react["default"].createElement("div", {
    "data-ui-component": true,
    "data-test-section": testSection,
    className: 'oui-manager-side-nav stage__item__content--column'
  }, renderChildrenByType(_Header["default"]), _react["default"].createElement("div", {
    className: "sidenav__body"
  }, renderChildrenByType(_NavList["default"])));
};

ManagerSideNav.propTypes = {
  // eslint-disable-next-line valid-jsdoc

  /* Allowed children are ManagerSideNav's Header and NavList*/
  children: function children(props, propName) {
    var prop = props[propName];
    var error = null;

    _react["default"].Children.forEach(prop, function (child) {
      if (child === null) {
        return;
      }

      if (![_Header["default"], _NavList["default"]].includes(child.type)) {
        error = new Error('Children of ManagerSideNav should be of type Header or NavList.');
      }
    });

    return error;
  },

  /** Value used for testing via data-test-section attribute */
  testSection: _propTypes["default"].string
};
ManagerSideNav.defaultProps = {
  testSection: ''
};
ManagerSideNav.Header = _Header["default"];
ManagerSideNav.HeaderDetails = _HeaderDetails["default"];
ManagerSideNav.NavList = _NavList["default"];
ManagerSideNav.NavItem = _NavItem["default"];
var _default = ManagerSideNav;
exports["default"] = _default;