"use strict";

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _addonActions = require("@storybook/addon-actions");

var _addonKnobs = require("@storybook/addon-knobs");

var _index = _interopRequireDefault(require("./index"));

var _Col = _interopRequireDefault(require("../Layout/Col"));

var _Row = _interopRequireDefault(require("../Layout/Row"));

var _Container = _interopRequireDefault(require("../Layout/Container"));

var _Dropdown = _interopRequireDefault(require("../Dropdown"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var stories = (0, _react2.storiesOf)("Tile", module);
var dropdownItems = [_react["default"].createElement(_Dropdown["default"].ListItem, {
  key: 0,
  role: "separator"
}, "Percentage Rollout"), _react["default"].createElement(_Dropdown["default"].ListItem, {
  key: 1
}, _react["default"].createElement(_Dropdown["default"].BlockLink, {
  onClick: (0, _addonActions.action)("onClick move to top"),
  testSection: "dropdown-block-link-move"
}, _react["default"].createElement(_Dropdown["default"].BlockLinkText, {
  text: "Move to top"
}))), _react["default"].createElement(_Dropdown["default"].ListItem, {
  key: 2,
  removeBorderTop: true
}, _react["default"].createElement(_Dropdown["default"].BlockLink, {
  onClick: (0, _addonActions.action)("onClick duplicate"),
  testSection: "dropdown-block-link-duplicate"
}, _react["default"].createElement(_Dropdown["default"].BlockLinkText, {
  text: "Duplicate"
}))), _react["default"].createElement(_Dropdown["default"].ListItem, {
  key: 3,
  removeBorderTop: true
}, _react["default"].createElement(_Dropdown["default"].BlockLink, {
  onClick: (0, _addonActions.action)("onClick archive"),
  testSection: "dropdown-block-link-archive"
}, _react["default"].createElement(_Dropdown["default"].BlockLinkText, {
  text: "Archive"
}))), _react["default"].createElement(_Dropdown["default"].ListItem, {
  key: 4
}, _react["default"].createElement(_Dropdown["default"].BlockLink, {
  onClick: (0, _addonActions.action)("onClick delete"),
  testSection: "dropdown-block-link-delete"
}, _react["default"].createElement(_Dropdown["default"].BlockLinkText, {
  text: "Delete...",
  isDestructive: true
})))];
stories.addDecorator(_addonKnobs.withKnobs).addDecorator(function (story) {
  return _react["default"].createElement("div", {
    id: "root-preview"
  }, story());
});
stories.add("Interactive (content is a Button)", function () {
  return _react["default"].createElement(_Container["default"], null, _react["default"].createElement(_Row["default"], null, _react["default"].createElement(_Col["default"], {
    small: 6
  }, _react["default"].createElement(_index["default"], {
    name: "Alpha",
    description: "ID: 123456",
    onTileClick: (0, _addonActions.action)("onTileClick - Alpha"),
    isSelected: (0, _addonKnobs["boolean"])("isSelected", false),
    isDraggable: (0, _addonKnobs["boolean"])("isDraggable", false),
    hasWarning: (0, _addonKnobs["boolean"])("hasWarning", false),
    warningTitle: (0, _addonKnobs.text)("warningText", "This is a warning"),
    warningContent: _react["default"].createElement("p", null, "Warning details")
  })), _react["default"].createElement(_Col["default"], {
    small: 6
  }, _react["default"].createElement(_index["default"], {
    name: "Beta: We are buttons",
    description: "You can click us!",
    onTileClick: (0, _addonActions.action)("onTileClick - Beta"),
    isSelected: (0, _addonKnobs["boolean"])("isSelected", false),
    isDraggable: (0, _addonKnobs["boolean"])("isDraggable", false),
    hasWarning: (0, _addonKnobs["boolean"])("hasWarning", false),
    warningTitle: (0, _addonKnobs.text)("warningText", "This is a warning"),
    warningContent: _react["default"].createElement("p", null, "Warning details")
  }))));
}).add("Static (content is not a Button)", function () {
  return _react["default"].createElement(_index["default"], {
    name: "Alpha: I am not a button",
    description: "Clicking me will do nothing",
    isSelected: (0, _addonKnobs["boolean"])("isSelected", false),
    isDraggable: (0, _addonKnobs["boolean"])("isDraggable", false),
    hasWarning: (0, _addonKnobs["boolean"])("hasWarning", false),
    warningTitle: (0, _addonKnobs.text)("warningText", "This is a warning"),
    warningContent: _react["default"].createElement("p", null, "Warning details")
  });
}).add("With Monospace Name", function () {
  return _react["default"].createElement(_index["default"], {
    name: "amount",
    description: "double",
    usesMonospaceName: (0, _addonKnobs["boolean"])("usesMonospaceName", true),
    onTileClick: (0, _addonActions.action)("onTileClick"),
    isSelected: (0, _addonKnobs["boolean"])("isSelected", false),
    isDraggable: (0, _addonKnobs["boolean"])("isDraggable", false),
    hasWarning: (0, _addonKnobs["boolean"])("hasWarning", false),
    warningTitle: (0, _addonKnobs.text)("warningText", "This is a warning"),
    warningContent: _react["default"].createElement("p", null, "Warning details"),
    onCopy: (0, _addonActions.action)("onCopy called")
  });
}).add("Draggable, with a warning", function () {
  return _react["default"].createElement(_index["default"], {
    name: "Alpha",
    description: "ID:12345678",
    onTileClick: (0, _addonActions.action)("onTileClick"),
    isSelected: (0, _addonKnobs["boolean"])("isSelected", false),
    isDraggable: (0, _addonKnobs["boolean"])("isDraggable", true),
    hasWarning: (0, _addonKnobs["boolean"])("hasWarning", true),
    warningTitle: (0, _addonKnobs.text)("warningText", "This is a warning"),
    warningContent: _react["default"].createElement("p", null, "Warning details"),
    testSection: "with-warning"
  });
}).add("With Action Items on the right", function () {
  return _react["default"].createElement(_Container["default"], null, _react["default"].createElement(_Row["default"], null, _react["default"].createElement(_Col["default"], {
    small: 6
  }, _react["default"].createElement(_index["default"], {
    name: "Alpha",
    description: "ID:12345678",
    onTileClick: (0, _addonActions.action)("onTileClick"),
    isSelected: (0, _addonKnobs["boolean"])("isSelected", false),
    isDraggable: (0, _addonKnobs["boolean"])("isDraggable", false),
    hasWarning: (0, _addonKnobs["boolean"])("hasWarning", false),
    warningTitle: (0, _addonKnobs.text)("warningText", "This is a warning"),
    warningContent: _react["default"].createElement("p", null, "Warning details"),
    onDismiss: (0, _addonActions.action)("onDismiss called")
  }))), _react["default"].createElement(_Row["default"], null, _react["default"].createElement(_Col["default"], {
    small: 6
  }, _react["default"].createElement(_index["default"], {
    name: "Beta",
    description: "isSelected is true here",
    onTileClick: (0, _addonActions.action)("onTileClick"),
    isSelected: true,
    isDraggable: (0, _addonKnobs["boolean"])("isDraggable", false),
    hasWarning: (0, _addonKnobs["boolean"])("hasWarning", false),
    warningTitle: (0, _addonKnobs.text)("warningText", "This is a warning"),
    warningContent: _react["default"].createElement("p", null, "Warning details"),
    status: "Archived",
    onDismiss: (0, _addonActions.action)("onDismiss called")
  }))), _react["default"].createElement(_Row["default"], null, _react["default"].createElement(_Col["default"], {
    small: 6
  }, _react["default"].createElement(_index["default"], {
    name: "Charlie",
    description: "ID:1357",
    onTileClick: (0, _addonActions.action)("onTileClick"),
    isSelected: (0, _addonKnobs["boolean"])("isSelected", false),
    isDraggable: (0, _addonKnobs["boolean"])("isDraggable", false),
    hasWarning: (0, _addonKnobs["boolean"])("hasWarning", false),
    warningTitle: (0, _addonKnobs.text)("warningText", "This is a warning"),
    warningContent: _react["default"].createElement("p", null, "Warning details"),
    onDismiss: (0, _addonActions.action)("onDismiss called"),
    onEdit: (0, _addonActions.action)("onEdit called")
  }))), _react["default"].createElement(_Row["default"], null, _react["default"].createElement(_Col["default"], {
    small: 6
  }, _react["default"].createElement(_index["default"], {
    name: "Delta",
    description: "ID:2468",
    onTileClick: (0, _addonActions.action)("onTileClick"),
    isSelected: (0, _addonKnobs["boolean"])("isSelected", false),
    isDraggable: (0, _addonKnobs["boolean"])("isDraggable", false),
    hasWarning: (0, _addonKnobs["boolean"])("hasWarning", false),
    warningTitle: (0, _addonKnobs.text)("warningText", "This is a warning"),
    warningContent: _react["default"].createElement("p", null, "Warning details"),
    status: "Running",
    dropdownItems: dropdownItems
  }))), _react["default"].createElement(_Row["default"], null, _react["default"].createElement(_Col["default"], {
    small: 6
  }, _react["default"].createElement(_index["default"], {
    name: "Echo",
    description: "Increase in unique conversions per visitor for Recurring deposit complete event",
    onTileClick: (0, _addonActions.action)("onTileClick"),
    isSelected: (0, _addonKnobs["boolean"])("isSelected", false),
    isDraggable: (0, _addonKnobs["boolean"])("isDraggable", false),
    hasWarning: (0, _addonKnobs["boolean"])("hasWarning", false),
    warningTitle: (0, _addonKnobs.text)("warningText", "This is a warning"),
    warningContent: _react["default"].createElement("p", null, "Warning details"),
    onCopy: (0, _addonActions.action)("onCopy called"),
    dropdownItems: dropdownItems
  }))), _react["default"].createElement(_Row["default"], null, _react["default"].createElement(_Col["default"], {
    small: 6
  }, _react["default"].createElement(_index["default"], {
    name: "Foxtrot",
    description: "All possibilities, as an example. Don't actually do this, please",
    onTileClick: (0, _addonActions.action)("onTileClick"),
    isSelected: (0, _addonKnobs["boolean"])("isSelected", false),
    isDraggable: (0, _addonKnobs["boolean"])("isDraggable", true),
    hasWarning: (0, _addonKnobs["boolean"])("hasWarning", false),
    warningTitle: (0, _addonKnobs.text)("warningText", "This is a warning"),
    warningContent: _react["default"].createElement("p", null, "Warning details"),
    status: "Active",
    onCopy: (0, _addonActions.action)("onCopy called"),
    onDismiss: (0, _addonActions.action)("onDismiss called"),
    onEdit: (0, _addonActions.action)("onEdit called"),
    dropdownItems: dropdownItems
  }))));
}).add("With Ordering", function () {
  return _react["default"].createElement(_Container["default"], null, _react["default"].createElement(_Row["default"], null, _react["default"].createElement(_Col["default"], {
    small: 6
  }, _react["default"].createElement(_index["default"], {
    name: "Alpha",
    description: "ID:12345678",
    order: 1,
    onTileClick: (0, _addonActions.action)("onTileClick"),
    isSelected: (0, _addonKnobs["boolean"])("isSelected", false),
    isDraggable: (0, _addonKnobs["boolean"])("isDraggable", true),
    hasWarning: (0, _addonKnobs["boolean"])("hasWarning", false),
    warningTitle: (0, _addonKnobs.text)("warningText", "This is a warning"),
    warningContent: _react["default"].createElement("p", null, "Warning details"),
    onDismiss: (0, _addonActions.action)("onDismiss called")
  }))), _react["default"].createElement(_Row["default"], null, _react["default"].createElement(_Col["default"], {
    small: 6
  }, _react["default"].createElement(_index["default"], {
    name: "Beta",
    description: "isSelected is true here",
    order: 2,
    onTileClick: (0, _addonActions.action)("onTileClick"),
    isSelected: true,
    isDraggable: (0, _addonKnobs["boolean"])("isDraggable", true),
    hasWarning: (0, _addonKnobs["boolean"])("hasWarning", false),
    warningTitle: (0, _addonKnobs.text)("warningText", "This is a warning"),
    warningContent: _react["default"].createElement("p", null, "Warning details"),
    status: "Archived",
    onDismiss: (0, _addonActions.action)("onDismiss called")
  }))), _react["default"].createElement(_Row["default"], null, _react["default"].createElement(_Col["default"], {
    small: 6
  }, _react["default"].createElement(_index["default"], {
    name: "Charlie",
    description: "ID:1357",
    order: 3,
    onTileClick: (0, _addonActions.action)("onTileClick"),
    isSelected: (0, _addonKnobs["boolean"])("isSelected", false),
    isDraggable: (0, _addonKnobs["boolean"])("isDraggable", true),
    hasWarning: (0, _addonKnobs["boolean"])("hasWarning", false),
    warningTitle: (0, _addonKnobs.text)("warningText", "This is a warning"),
    warningContent: _react["default"].createElement("p", null, "Warning details"),
    onDismiss: (0, _addonActions.action)("onDismiss called"),
    onEdit: (0, _addonActions.action)("onEdit called")
  }))), _react["default"].createElement(_Row["default"], null, _react["default"].createElement(_Col["default"], {
    small: 6
  }, _react["default"].createElement(_index["default"], {
    name: "Delta",
    description: "ID:2468",
    order: 4,
    onTileClick: (0, _addonActions.action)("onTileClick"),
    isSelected: (0, _addonKnobs["boolean"])("isSelected", false),
    isDraggable: (0, _addonKnobs["boolean"])("isDraggable", true),
    hasWarning: (0, _addonKnobs["boolean"])("hasWarning", false),
    warningTitle: (0, _addonKnobs.text)("warningText", "This is a warning"),
    warningContent: _react["default"].createElement("p", null, "Warning details"),
    status: "Running",
    dropdownItems: dropdownItems
  }))), _react["default"].createElement(_Row["default"], null, _react["default"].createElement(_Col["default"], {
    small: 6
  }, _react["default"].createElement(_index["default"], {
    name: "Zeta",
    description: "Increase in unique conversions per visitor for Recurring deposit complete event",
    order: 99,
    onTileClick: (0, _addonActions.action)("onTileClick"),
    isSelected: (0, _addonKnobs["boolean"])("isSelected", false),
    isDraggable: (0, _addonKnobs["boolean"])("isDraggable", true),
    hasWarning: (0, _addonKnobs["boolean"])("hasWarning", false),
    warningTitle: (0, _addonKnobs.text)("warningText", "This is a warning"),
    warningContent: _react["default"].createElement("p", null, "Warning details"),
    onCopy: (0, _addonActions.action)("onCopy called"),
    dropdownItems: dropdownItems
  }))));
});